Fehler: Fehler zu finden : com.android.support:support-v4:20.0.+

? Williams @ | Original: StackOverFlow
---

Ich habe ein Projekt im Android Studio, das in sie gebaut wurde importiert. Ich benötige v4 und v7 Bibliothek in das Projekt. Dies ist, wie meine build.gradle aussieht

build.gradle

apply plugin: 'android-library'

android {
    compileSdkVersion 19
    buildToolsVersion '20'
    defaultConfig {
        applicationId 'com.example.sdk'
        minSdkVersion 9
        targetSdkVersion 19
        versionCode 1
        versionName '1.0'
    }
    buildTypes {
        release {
            runProguard false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    productFlavors {
    }
}

dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
    compile 'com.android.support:appcompat-v7:20.0.+'
    compile 'com.android.support:support-v4:20.0.+'
}

Als ich die Synchronisierung mit gradle dann gibt es immer Fehlermeldung

Konnte zu finden : com.android.support:support-v4:20.0.+ & amp; Konnte zu finden : com.android.support:appcompat-v7:20.0.+

Fehler: Fehler zu finden : com.android.support:support-v4:20.0.+

Fehler: Fehler zu finden : com.android.support:support-v4:20.0.+

Bitte unterstützen Sie & amp; danke im voraus.

---

Top 5 Antwort

1Bijesh P V @

Die Android Unterstützung Repository fehlte, also gehen Sie auf Android SDK, installieren Sie die Android Support Repository und Android Support Library . Außerdem haben Sie die folgenden verwenden können

compile 'com.android.support:support-v4:20.0.0'
compile 'com.android.support:appcompat-v7:20.0.0'

instead of

compile 'com.android.support:appcompat-v7:20.0.+'
compile 'com.android.support:support-v4:20.0.+'
2zhiwen zhang @

Hinweis: Wenn Sie entwickeln mit Android Studio, wählen Sie stattdessen installieren Sie das Android -Support Repository Artikel .

siehe https://developer.android.com/tools/support-library/setup.html#download .

3user3758898 @

rom Android Studio gehen Sie zu: Tools >> >> Android SDK -Manager

Wählen und installieren Sie " Extras | Android Unterstützung Repository"